unit Unit4;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, siComp, Vcl.StdCtrls;

type
  TForm4 = class(TForm)
    Label1: TLabel;
    edDate: TEdit;
    Label2: TLabel;
    ComboBox1: TComboBox;
    siLang1: TsiLang;
    Label3: TLabel;
    edLongDate: TEdit;
    Label4: TLabel;
    edTime: TEdit;
    Label5: TLabel;
    edCurrency: TEdit;
    procedure siLang1ChangeLanguage(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure UpdateEdits;
  end;

var
  Form4: TForm4;

implementation

{$R *.dfm}

procedure TForm4.ComboBox1Change(Sender: TObject);
begin
  siLang1.ActiveLanguage := ComboBox1.ItemIndex + 1;
end;

procedure TForm4.FormCreate(Sender: TObject);
begin
  siLang1.ChangeLanguage;
  UpdateEdits;
end;

procedure TForm4.siLang1ChangeLanguage(Sender: TObject);
begin
  UpdateEdits;
end;

procedure TForm4.UpdateEdits;
var
  S: string;
begin
  edDate.Text := DateToStr(Now);
  DateTimeToString(S, 'dddddd', Date);
  edLongDate.Text := S;
  edTime.Text := TimeToStr(Time);
  edCurrency.Text := CurrToStrF(500324, ffCurrency, 2);
end;

end.
